Subject: bug#50112: 28.0.50; ediff help frame does not display text

From: Alan Third <[email-masked]>
Date: Sat, 21 Aug 2021 13:18:53 +0100

On Thu, Aug 19, 2021 at 03:33:26PM +0200, Lars Ingebrigtsen wrote:
> David Phillips <[email-masked]> writes:
> 
> > I built emacs this morning from the git master branch.
> > The latest commit was 9b31ad36094666da6b3281025adc163829d89de8 with
> > a date stamp of Wed Aug 18 20:02:39 2021 +0300.
> > I am running the macos GUI version.
> > First I run /Applications/Emacs/Contents/MacOS/Emacs -Q
> > then I load two files and run 'ediff-buffers' to compare them.
> > ediff works just fine except that the frame with the help message
> > is an empty frame. The '?' command changes the frame size but the
> > text never renders.
> 
> I can reproduce this problem on Macos, but not in Debian.
>
<snip>
> 
> Perhaps Alan has some insight here; added to the CCs.

This is a bit weird. When creating the graphics context to draw on we
need to specify a colorspace, so we just use the one that the (OS)
window we're drawing for uses.

However sometimes it seems we get a null from the window instead of a
legit colorspace which causes the graphics context creation to fail. I
don't know why we should ever get a null, but anyway, I've pushed a
change to master that should use a generic colorspace in these
situations.
-- 
Alan Third